diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/media/js/media.js ./wordpress-3.3/wp-includes/js/tinymce/plugins/media/js/media.js
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/media/js/media.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/media/js/media.js	2011-09-09 15:08:40.000000000 -0500
***************
*** 20,36 ****
  		return elm.value;
  	}
  
! 	function setVal(id, value) {
  		if (typeof(value) != 'undefined') {
  			var elm = get(id);
  
  			if (elm.nodeName == "SELECT")
  				selectByValue(document.forms[0], id, value);
  			else if (elm.type == "checkbox") {
! 				if (typeof(value) == 'string')
! 					elm.checked = value.toLowerCase() === 'true' ? true : false;
! 				else
! 					elm.checked = !!value;
  			} else
  				elm.value = value;
  		}
--- 20,37 ----
  		return elm.value;
  	}
  
! 	function setVal(id, value, name) {
  		if (typeof(value) != 'undefined') {
  			var elm = get(id);
  
  			if (elm.nodeName == "SELECT")
  				selectByValue(document.forms[0], id, value);
  			else if (elm.type == "checkbox") {
! 				if (typeof(value) == 'string') {
! 					value = value.toLowerCase();
! 					value = (!name && value === 'true') || (name && value === name.toLowerCase());
! 				}
! 				elm.checked = !!value;
  			} else
  				elm.value = value;
  		}
***************
*** 46,53 ****
  			get('filebrowsercontainer').innerHTML = getBrowserHTML('filebrowser','src','media','media');
  			get('qtsrcfilebrowsercontainer').innerHTML = getBrowserHTML('qtsrcfilebrowser','quicktime_qtsrc','media','media');
  			get('bgcolor_pickcontainer').innerHTML = getColorPickerHTML('bgcolor_pick','bgcolor');
! 			get('video_altsource1_filebrowser').innerHTML = getBrowserHTML('filebrowser_altsource1','video_altsource1','media','media');
! 			get('video_altsource2_filebrowser').innerHTML = getBrowserHTML('filebrowser_altsource2','video_altsource2','media','media');
  			get('video_poster_filebrowser').innerHTML = getBrowserHTML('filebrowser_poster','video_poster','media','image');
  
  			html = this.getMediaListHTML('medialist', 'src', 'media', 'media');
--- 47,56 ----
  			get('filebrowsercontainer').innerHTML = getBrowserHTML('filebrowser','src','media','media');
  			get('qtsrcfilebrowsercontainer').innerHTML = getBrowserHTML('qtsrcfilebrowser','quicktime_qtsrc','media','media');
  			get('bgcolor_pickcontainer').innerHTML = getColorPickerHTML('bgcolor_pick','bgcolor');
! 			get('video_altsource1_filebrowser').innerHTML = getBrowserHTML('video_filebrowser_altsource1','video_altsource1','media','media');
! 			get('video_altsource2_filebrowser').innerHTML = getBrowserHTML('video_filebrowser_altsource2','video_altsource2','media','media');
! 			get('audio_altsource1_filebrowser').innerHTML = getBrowserHTML('audio_filebrowser_altsource1','audio_altsource1','media','media');
! 			get('audio_altsource2_filebrowser').innerHTML = getBrowserHTML('audio_filebrowser_altsource2','audio_altsource2','media','media');
  			get('video_poster_filebrowser').innerHTML = getBrowserHTML('filebrowser_poster','video_poster','media','image');
  
  			html = this.getMediaListHTML('medialist', 'src', 'media', 'media');
***************
*** 59,70 ****
  			if (isVisible('filebrowser'))
  				get('src').style.width = '230px';
  
! 			if (isVisible('filebrowser_altsource1'))
  				get('video_altsource1').style.width = '220px';
  
! 			if (isVisible('filebrowser_altsource2'))
  				get('video_altsource2').style.width = '220px';
  
  			if (isVisible('filebrowser_poster'))
  				get('video_poster').style.width = '220px';
  
--- 62,79 ----
  			if (isVisible('filebrowser'))
  				get('src').style.width = '230px';
  
! 			if (isVisible('video_filebrowser_altsource1'))
  				get('video_altsource1').style.width = '220px';
  
! 			if (isVisible('video_filebrowser_altsource2'))
  				get('video_altsource2').style.width = '220px';
  
+ 			if (isVisible('audio_filebrowser_altsource1'))
+ 				get('audio_altsource1').style.width = '220px';
+ 
+ 			if (isVisible('audio_filebrowser_altsource2'))
+ 				get('audio_altsource2').style.width = '220px';
+ 
  			if (isVisible('filebrowser_poster'))
  				get('video_poster').style.width = '220px';
  
***************
*** 136,142 ****
  
  						if (type == 'global')
  							list = data;
! 						else if (type == 'video') {
  							list = data.video.attrs;
  
  							if (!list && !to_form)
--- 145,151 ----
  
  						if (type == 'global')
  							list = data;
! 						else if (type == 'video' || type == 'audio') {
  							list = data.video.attrs;
  
  							if (!list && !to_form)
***************
*** 146,157 ****
  
  						if (list) {
  							if (to_form) {
! 								setVal(formItemName, list[name]);
  							} else {
  								delete list[name];
  
  								value = getVal(formItemName);
! 								if (type == 'video' && value === true)
  									value = name;
  
  								if (defaultStates[formItemName]) {
--- 155,166 ----
  
  						if (list) {
  							if (to_form) {
! 								setVal(formItemName, list[name], type == 'video' || type == 'audio' ? name : '');
  							} else {
  								delete list[name];
  
  								value = getVal(formItemName);
! 								if ((type == 'video' || type == 'audio') && value === true)
  									value = name;
  
  								if (defaultStates[formItemName]) {
***************
*** 184,190 ****
  					setVal('media_type', data.type);
  				}
  
! 				if (data.type == "video") {
  					if (!data.video.sources)
  						data.video.sources = [];
  
--- 193,199 ----
  					setVal('media_type', data.type);
  				}
  
! 				if (data.type == "video" || data.type == "audio") {
  					if (!data.video.sources)
  						data.video.sources = [];
  
***************
*** 194,199 ****
--- 203,209 ----
  
  			// Hide all fieldsets and show the one active
  			get('video_options').style.display = 'none';
+ 			get('audio_options').style.display = 'none';
  			get('flash_options').style.display = 'none';
  			get('quicktime_options').style.display = 'none';
  			get('shockwave_options').style.display = 'none';
***************
*** 210,216 ****
  			setOptions('shockwave', 'sound,progress,autostart,swliveconnect,swvolume,swstretchstyle,swstretchhalign,swstretchvalign');
  			setOptions('windowsmedia', 'autostart,enabled,enablecontextmenu,fullscreen,invokeurls,mute,stretchtofit,windowlessvideo,balance,baseurl,captioningid,currentmarker,currentposition,defaultframe,playcount,rate,uimode,volume');
  			setOptions('realmedia', 'autostart,loop,autogotourl,center,imagestatus,maintainaspect,nojava,prefetch,shuffle,console,controls,numloop,scriptcallbacks');
! 			setOptions('video', 'poster,autoplay,loop,preload,controls');
  			setOptions('global', 'id,name,vspace,hspace,bgcolor,align,width,height');
  
  			if (to_form) {
--- 220,227 ----
  			setOptions('shockwave', 'sound,progress,autostart,swliveconnect,swvolume,swstretchstyle,swstretchhalign,swstretchvalign');
  			setOptions('windowsmedia', 'autostart,enabled,enablecontextmenu,fullscreen,invokeurls,mute,stretchtofit,windowlessvideo,balance,baseurl,captioningid,currentmarker,currentposition,defaultframe,playcount,rate,uimode,volume');
  			setOptions('realmedia', 'autostart,loop,autogotourl,center,imagestatus,maintainaspect,nojava,prefetch,shuffle,console,controls,numloop,scriptcallbacks');
! 			setOptions('video', 'poster,autoplay,loop,muted,preload,controls');
! 			setOptions('audio', 'autoplay,loop,preload,controls');
  			setOptions('global', 'id,name,vspace,hspace,bgcolor,align,width,height');
  
  			if (to_form) {
***************
*** 225,230 ****
--- 236,252 ----
  					src = data.video.sources[2];
  					if (src)
  						setVal('video_altsource2', src.src);
+                 } else if (data.type == 'audio') {
+                     if (data.video.sources[0])
+                         setVal('src', data.video.sources[0].src);
+                     
+                     src = data.video.sources[1];
+                     if (src)
+                         setVal('audio_altsource1', src.src);
+                     
+                     src = data.video.sources[2];
+                     if (src)
+                         setVal('audio_altsource2', src.src);
  				} else {
  					// Check flash vars
  					if (data.type == 'flash') {
***************
*** 273,284 ****
  					src = getVal("video_altsource2");
  					if (src)
  						data.video.sources[2] = {src : src};
  				} else
  					data.params.src = src;
  
  				// Set default size
! 				setVal('width', data.width || 320);
! 				setVal('height', data.height || 240);
  			}
  		},
  
--- 295,319 ----
  					src = getVal("video_altsource2");
  					if (src)
  						data.video.sources[2] = {src : src};
+                 } else if (data.type == 'audio') {
+                     if (!data.video.sources)
+                         data.video.sources = [];
+                     
+                     data.video.sources[0] = {src : src};
+                     
+                     src = getVal("audio_altsource1");
+                     if (src)
+                         data.video.sources[1] = {src : src};
+                     
+                     src = getVal("audio_altsource2");
+                     if (src)
+                         data.video.sources[2] = {src : src};
  				} else
  					data.params.src = src;
  
  				// Set default size
!                 setVal('width', data.width || (data.type == 'audio' ? 300 : 320));
!                 setVal('height', data.height || (data.type == 'audio' ? 32 : 240));
  			}
  		},
  
***************
*** 307,322 ****
  		},
  
  		beforeResize : function() {
! 			this.width = parseInt(getVal('width') || "320", 10);
! 			this.height = parseInt(getVal('height') || "240", 10);
  		},
  
  		changeSize : function(type) {
  			var width, height, scale, size;
  
  			if (get('constrain').checked) {
! 				width = parseInt(getVal('width') || "320", 10);
! 				height = parseInt(getVal('height') || "240", 10);
  
  				if (type == 'width') {
  					this.height = Math.round((width / this.width) * height);
--- 342,357 ----
  		},
  
  		beforeResize : function() {
!             this.width = parseInt(getVal('width') || (this.data.type == 'audio' ? "300" : "320"), 10);
!             this.height = parseInt(getVal('height') || (this.data.type == 'audio' ? "32" : "240"), 10);
  		},
  
  		changeSize : function(type) {
  			var width, height, scale, size;
  
  			if (get('constrain').checked) {
!                 width = parseInt(getVal('width') || (this.data.type == 'audio' ? "300" : "320"), 10);
!                 height = parseInt(getVal('height') || (this.data.type == 'audio' ? "32" : "240"), 10);
  
  				if (type == 'width') {
  					this.height = Math.round((width / this.width) * height);
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/spellchecker/classes/EnchantSpell.php ./wordpress-3.3/wp-includes/js/tinymce/plugins/spellchecker/classes/EnchantSpell.php
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/spellchecker/classes/EnchantSpell.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/spellchecker/classes/EnchantSpell.php	2011-11-05 13:32:47.000000000 -0500
***************
*** 48,63 ****
  	 */
  	function &getSuggestions($lang, $word) {
  		$r = enchant_broker_init();
- 		$suggs = array();
  
  		if (enchant_broker_dict_exists($r,$lang)) {
  			$d = enchant_broker_request_dict($r, $lang);
  			$suggs = enchant_dict_suggest($d, $word);
  
  			enchant_broker_free_dict($d);
  		} else {
! 
  		}
  		enchant_broker_free($r);
  
  		return $suggs;
--- 48,67 ----
  	 */
  	function &getSuggestions($lang, $word) {
  		$r = enchant_broker_init();
  
  		if (enchant_broker_dict_exists($r,$lang)) {
  			$d = enchant_broker_request_dict($r, $lang);
  			$suggs = enchant_dict_suggest($d, $word);
  
+ 			// enchant_dict_suggest() sometimes returns NULL
+ 			if (!is_array($suggs))
+ 				$suggs = array();
+ 
  			enchant_broker_free_dict($d);
  		} else {
! 			$suggs = array();
  		}
+ 
  		enchant_broker_free($r);
  
  		return $suggs;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/spellchecker/classes/PSpellShell.php ./wordpress-3.3/wp-includes/js/tinymce/plugins/spellchecker/classes/PSpellShell.php
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/spellchecker/classes/PSpellShell.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/spellchecker/classes/PSpellShell.php	2011-11-05 13:32:47.000000000 -0500
***************
*** 38,50 ****
  			$matches = array();
  
  			// Skip this line.
! 			if (strpos($dstr, "@") === 0)
  				continue;
  
! 			preg_match("/\& ([^ ]+) .*/i", $dstr, $matches);
  
! 			if (!empty($matches[1]))
! 				$returnData[] = utf8_encode(trim($matches[1]));
  		}
  
  		return $returnData;
--- 38,50 ----
  			$matches = array();
  
  			// Skip this line.
! 			if ($dstr[0] == "@")
  				continue;
  
! 			preg_match("/(\&|#) ([^ ]+) .*/i", $dstr, $matches);
  
! 			if (!empty($matches[2]))
! 				$returnData[] = utf8_encode(trim($matches[2]));
  		}
  
  		return $returnData;
***************
*** 82,88 ****
  			$matches = array();
  
  			// Skip this line.
! 			if (strpos($dstr, "@") === 0)
  				continue;
  
  			preg_match("/\&[^:]+:(.*)/i", $dstr, $matches);
--- 82,88 ----
  			$matches = array();
  
  			// Skip this line.
! 			if ($dstr[0] == "@")
  				continue;
  
  			preg_match("/\&[^:]+:(.*)/i", $dstr, $matches);
***************
*** 103,112 ****
  	function _getCMD($lang) {
  		$this->_tmpfile = tempnam($this->_config['PSpellShell.tmp'], "tinyspell");
  
! 		if(preg_match("#win#i", php_uname()))
! 			return $this->_config['PSpellShell.aspell'] . " -a --lang=". escapeshellarg($lang) . " --encoding=utf-8 -H < " . $this->_tmpfile . " 2>&1";
  
! 		return "cat ". $this->_tmpfile ." | " . $this->_config['PSpellShell.aspell'] . " -a --encoding=utf-8 -H --lang=". escapeshellarg($lang);
  	}
  }
  
--- 103,116 ----
  	function _getCMD($lang) {
  		$this->_tmpfile = tempnam($this->_config['PSpellShell.tmp'], "tinyspell");
  
! 		$file = $this->_tmpfile;
! 		$lang = preg_replace("/[^-_a-z]/", "", strtolower($lang));
! 		$bin  = $this->_config['PSpellShell.aspell'];
  
! 		if (preg_match("#win#i", php_uname()))
! 			return "$bin -a --lang=$lang --encoding=utf-8 -H < $file 2>&1";
! 
! 		return "cat $file | $bin -a --lang=$lang --encoding=utf-8 -H";
  	}
  }
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wordpress/editor_plugin.dev.js ./wordpress-3.3/wp-includes/js/tinymce/plugins/wordpress/editor_plugin.dev.js
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wordpress/editor_plugin.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/wordpress/editor_plugin.dev.js	2011-11-27 18:21:36.000000000 -0600
***************
*** 63,68 ****
--- 63,81 ----
  					setUserSetting('hidetb', '0');
  				}
  			});
+ 			
+ 			ed.addCommand('WP_Medialib', function() {
+ 				var id = ed.getParam('wp_fullscreen_editor_id') || ed.getParam('fullscreen_editor_id') || ed.id,
+ 					link = tinymce.DOM.select('#wp-' + id + '-media-buttons a.thickbox');
+ 
+ 				if ( link && link[0] )
+ 					link = link[0];
+ 				else
+ 					return;
+ 
+ 				tb_show('', link.href);
+ 				tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
+ 			});
  
  			// Register buttons
  			ed.addButton('wp_more', {
***************
*** 86,134 ****
  				cmd : 'WP_Adv'
  			});
  
! 			// Add Media buttons
  			ed.addButton('add_media', {
  				title : 'wordpress.add_media',
- 				image : url + '/img/media.gif',
- 				onclick : function() {
- 					tb_show('', tinymce.DOM.get('add_media').href);
- 					tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
- 				}
- 			});
- 
- 			ed.addButton('add_image', {
- 				title : 'wordpress.add_image',
  				image : url + '/img/image.gif',
! 				onclick : function() {
! 					tb_show('', tinymce.DOM.get('add_image').href);
! 					tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
! 				}
! 			});
! 
! 			ed.addButton('add_video', {
! 				title : 'wordpress.add_video',
! 				image : url + '/img/video.gif',
! 				onclick : function() {
! 					tb_show('', tinymce.DOM.get('add_video').href);
! 					tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
! 				}
! 			});
! 
! 			ed.addButton('add_audio', {
! 				title : 'wordpress.add_audio',
! 				image : url + '/img/audio.gif',
! 				onclick : function() {
! 					tb_show('', tinymce.DOM.get('add_audio').href);
! 					tinymce.DOM.setStyle( ['TB_overlay','TB_window','TB_load'], 'z-index', '999999' );
! 				}
  			});
  
  			// Add Media buttons to fullscreen and handle align buttons for image captions
  			ed.onBeforeExecCommand.add(function(ed, cmd, ui, val, o) {
  				var DOM = tinymce.DOM, n, DL, DIV, cls, a, align;
  				if ( 'mceFullScreen' == cmd ) {
! 					if ( 'mce_fullscreen' != ed.id && DOM.get('add_audio') && DOM.get('add_video') && DOM.get('add_image') && DOM.get('add_media') )
! 						ed.settings.theme_advanced_buttons1 += ',|,add_image,add_video,add_audio,add_media';
  				}
  
  				if ( 'JustifyLeft' == cmd || 'JustifyRight' == cmd || 'JustifyCenter' == cmd ) {
--- 99,117 ----
  				cmd : 'WP_Adv'
  			});
  
! 			// Add Media button
  			ed.addButton('add_media', {
  				title : 'wordpress.add_media',
  				image : url + '/img/image.gif',
! 				cmd : 'WP_Medialib'
  			});
  
  			// Add Media buttons to fullscreen and handle align buttons for image captions
  			ed.onBeforeExecCommand.add(function(ed, cmd, ui, val, o) {
  				var DOM = tinymce.DOM, n, DL, DIV, cls, a, align;
  				if ( 'mceFullScreen' == cmd ) {
! 					if ( 'mce_fullscreen' != ed.id && DOM.select('a.thickbox').length )
! 						ed.settings.theme_advanced_buttons1 += ',|,add_media';
  				}
  
  				if ( 'JustifyLeft' == cmd || 'JustifyRight' == cmd || 'JustifyCenter' == cmd ) {
***************
*** 186,193 ****
  					}
  				});
  
! 				if ( ed.id != 'wp_mce_fullscreen' )
  					ed.dom.addClass(ed.getBody(), 'wp-editor');
  
  				// remove invalid parent paragraphs when pasting HTML and/or switching to the HTML editor and back
  				ed.onBeforeSetContent.add(function(ed, o) {
--- 169,178 ----
  					}
  				});
  
! 				if ( ed.id != 'wp_mce_fullscreen' && ed.id != 'mce_fullscreen' )
  					ed.dom.addClass(ed.getBody(), 'wp-editor');
+ 				else if ( ed.id == 'mce_fullscreen' )
+ 					ed.dom.addClass(ed.getBody(), 'mce-fullscreen');
  
  				// remove invalid parent paragraphs when pasting HTML and/or switching to the HTML editor and back
  				ed.onBeforeSetContent.add(function(ed, o) {
***************
*** 219,225 ****
  			});
  
  			ed.onSaveContent.add(function(ed, o) {
! 				if ( typeof(switchEditors) == 'object' ) {
  					if ( ed.isHidden() )
  						o.content = o.element.value;
  					else
--- 204,210 ----
  			});
  
  			ed.onSaveContent.add(function(ed, o) {
! 				if ( ed.getParam('wpautop', true) && typeof(switchEditors) == 'object' ) {
  					if ( ed.isHidden() )
  						o.content = o.element.value;
  					else
***************
*** 253,259 ****
  			ed.addShortcut('alt+shift+n', ed.getLang('spellchecker.desc'), 'mceSpellCheck');
  			ed.addShortcut('alt+shift+a', ed.getLang('link_desc'), 'mceLink');
  			ed.addShortcut('alt+shift+s', ed.getLang('unlink_desc'), 'unlink');
! 			ed.addShortcut('alt+shift+m', ed.getLang('image_desc'), 'mceImage');
  			ed.addShortcut('alt+shift+g', ed.getLang('fullscreen.desc'), 'mceFullScreen');
  			ed.addShortcut('alt+shift+z', ed.getLang('wp_adv_desc'), 'WP_Adv');
  			ed.addShortcut('alt+shift+h', ed.getLang('help_desc'), 'WP_Help');
--- 238,244 ----
  			ed.addShortcut('alt+shift+n', ed.getLang('spellchecker.desc'), 'mceSpellCheck');
  			ed.addShortcut('alt+shift+a', ed.getLang('link_desc'), 'mceLink');
  			ed.addShortcut('alt+shift+s', ed.getLang('unlink_desc'), 'unlink');
! 			ed.addShortcut('alt+shift+m', ed.getLang('image_desc'), 'WP_Medialib');
  			ed.addShortcut('alt+shift+g', ed.getLang('fullscreen.desc'), 'mceFullScreen');
  			ed.addShortcut('alt+shift+z', ed.getLang('wp_adv_desc'), 'WP_Adv');
  			ed.addShortcut('alt+shift+h', ed.getLang('help_desc'), 'WP_Help');
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.dev.js ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.dev.js
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpdialogs/js/popup.dev.js	2011-12-08 17:02:33.000000000 -0600
***************
*** 1,8 ****
  /**
   * popup.js
!  * 
   * An altered version of tinyMCEPopup to work in the same window as tinymce.
!  * 
   * ------------------------------------------------------------------
   *
   * Copyright 2009, Moxiecode Systems AB
--- 1,8 ----
  /**
   * popup.js
!  *
   * An altered version of tinyMCEPopup to work in the same window as tinymce.
!  *
   * ------------------------------------------------------------------
   *
   * Copyright 2009, Moxiecode Systems AB
***************
*** 67,73 ****
  	 * Returns a window argument/parameter by name.
  	 *
  	 * @method getWindowArg
! 	 * @param {String} n Name of the window argument to retrive.
  	 * @param {String} dv Optional default value to return.
  	 * @return {String} Argument value or default value if it wasn't found.
  	 */
--- 67,73 ----
  	 * Returns a window argument/parameter by name.
  	 *
  	 * @method getWindowArg
! 	 * @param {String} n Name of the window argument to retrieve.
  	 * @param {String} dv Optional default value to return.
  	 * @return {String} Argument value or default value if it wasn't found.
  	 */
***************
*** 81,87 ****
  	 * Returns a editor parameter/config option value.
  	 *
  	 * @method getParam
! 	 * @param {String} n Name of the editor config option to retrive.
  	 * @param {String} dv Optional default value to return.
  	 * @return {String} Parameter value or default value if it wasn't found.
  	 */
--- 81,87 ----
  	 * Returns a editor parameter/config option value.
  	 *
  	 * @method getParam
! 	 * @param {String} n Name of the editor config option to retrieve.
  	 * @param {String} dv Optional default value to return.
  	 * @return {String} Parameter value or default value if it wasn't found.
  	 */
***************
*** 278,284 ****
  			close();
  	},
  
! 	// Internal functions	
  
  	_restoreSelection : function() {
  		var e = window.event.srcElement;
--- 278,284 ----
  			close();
  	},
  
! 	// Internal functions
  
  	_restoreSelection : function() {
  		var e = window.event.srcElement;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js	2011-11-05 14:49:42.000000000 -0500
***************
*** 3,9 ****
  	tinymce.create('tinymce.plugins.wpEditImage', {
  
  		init : function(ed, url) {
! 			var t = this;
  
  			t.url = url;
  			t._createButtons();
--- 3,9 ----
  	tinymce.create('tinymce.plugins.wpEditImage', {
  
  		init : function(ed, url) {
! 			var t = this, mouse = {};
  
  			t.url = url;
  			t._createButtons();
***************
*** 48,79 ****
  				if ( tinymce.isWebKit || tinymce.isOpera )
  					return;
  
! 				if ( ed.dom.getParent(e.target, 'div.mceTemp') || ed.dom.is(e.target, 'div.mceTemp') ) {
! 					window.setTimeout(function(){
! 						var ed = tinyMCE.activeEditor, n = ed.selection.getNode(), DL, width;
! 
! 						if ( 'IMG' == n.nodeName ) {
! 							DL = ed.dom.getParent(n, 'dl.wp-caption');
! 							width = ed.dom.getAttrib(n, 'width') || n.width;
! 							width = parseInt(width, 10);
! 
! 							if ( DL && width != ( parseInt(ed.dom.getStyle(DL, 'width'), 10) - 10 ) ) {
! 								ed.dom.setStyle(DL, 'width', 10 + width);
! 								ed.execCommand('mceRepaint');
  							}
! 						}
! 					}, 100);
  				}
  			});
  
  			// show editimage buttons
  			ed.onMouseDown.add(function(ed, e) {
- 				var p;
  
! 				if ( e.target.nodeName == 'IMG' && ed.dom.getAttrib(e.target, 'class').indexOf('mceItem') == -1 ) {
! 					ed.plugins.wordpress._showButtons(e.target, 'wp_editbtns');
! 					if ( tinymce.isGecko && (p = ed.dom.getParent(e.target, 'dl.wp-caption')) && ed.dom.hasClass(p.parentNode, 'mceTemp') )
! 						ed.selection.select(p.parentNode);
  				}
  			});
  
--- 48,93 ----
  				if ( tinymce.isWebKit || tinymce.isOpera )
  					return;
  
! 				if ( mouse.x && (e.clientX != mouse.x || e.clientY != mouse.y) ) {
! 					var n = ed.selection.getNode();
! 
! 					if ( 'IMG' == n.nodeName ) {
! 						window.setTimeout(function(){
! 							var DL, width;
! 
! 							if ( n.width != mouse.img_w || n.height != mouse.img_h )
! 								n.className = n.className.replace(/size-[^ "']+/, '');
! 
! 							if ( ed.dom.getParent(n, 'div.mceTemp') ) {
! 								DL = ed.dom.getParent(n, 'dl.wp-caption');
! 
! 								if ( DL ) {
! 									width = ed.dom.getAttrib(n, 'width') || n.width;
! 									width = parseInt(width, 10);
! 									ed.dom.setStyle(DL, 'width', 10 + width);
! 									ed.execCommand('mceRepaint');
! 								}
! 
  							}
! 						}, 100);
! 					}
  				}
+ 				mouse = {};
  			});
  
  			// show editimage buttons
  			ed.onMouseDown.add(function(ed, e) {
  
! 				if ( e.target && ( e.target.nodeName == 'IMG' || (e.target.firstChild && e.target.firstChild.nodeName == 'IMG') ) ) {
! 					mouse = {
! 						x: e.clientX,
! 						y: e.clientY,
! 						img_w: e.target.clientWidth,
! 						img_h: e.target.clientHeight
! 					};
! 
! 					if ( ed.dom.getAttrib(e.target, 'class').indexOf('mceItem') == -1 )
! 						ed.plugins.wordpress._showButtons(e.target, 'wp_editbtns');
  				}
  			});
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js	2011-09-17 22:00:13.000000000 -0500
***************
*** 374,379 ****
--- 374,382 ----
  
  		tinyMCEPopup.execCommand("mceBeginUndoLevel");
  
+ 		if ( f.width.value != el.width || f.height.value != el.height )
+ 			img_class = img_class.replace(/size-[^ "']+/, '');
+ 
  		ed.dom.setAttribs(el, {
  			src : f.img_src.value,
  			title : f.img_title.value,
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin.dev.js ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin.dev.js
*** ./wordpress-3.2.1/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin.dev.js	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin.dev.js	2011-08-03 05:19:00.000000000 -0500
***************
*** 32,42 ****
  			});
  
  			ed.addCommand('wpFullScreenInit', function() {
! 				var d = ed.getDoc(), b = d.body, fsed;
  
! 				// Only init the editor if necessary.
! 				if ( ed.id == 'wp_mce_fullscreen' )
! 					return;
  
  				tinyMCE.oldSettings = tinyMCE.settings; // Store old settings
  
--- 32,42 ----
  			});
  
  			ed.addCommand('wpFullScreenInit', function() {
! 				var d, b, fsed;
  
! 				ed = tinymce.get('content');
! 				d = ed.getDoc();
! 				b = d.body;
  
  				tinyMCE.oldSettings = tinyMCE.settings; // Store old settings
  
***************
*** 95,101 ****
  
  			// Register buttons
  			if ( 'undefined' != fullscreen ) {
! 				ed.addButton('fullscreen', {
  					title : 'fullscreen.desc',
  					onclick : function(){ fullscreen.on(); }
  				});
--- 95,101 ----
  
  			// Register buttons
  			if ( 'undefined' != fullscreen ) {
! 				ed.addButton('wp_fullscreen', {
  					title : 'fullscreen.desc',
  					onclick : function(){ fullscreen.on(); }
  				});
